Bug 764300 - (GLUSTER-2568) Memory leaks in gNFS
Memory leaks in gNFS
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 All
medium Severity medium
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 06:12 EDT by tcp
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
tarball consisting of valgrind report on linux and libumem report on Solaris (150.00 KB, application/x-tar)
2011-03-21 03:12 EDT, tcp
no flags Details
Valgrind log (11.47 KB, application/octet-stream)
2011-09-08 02:18 EDT, Gaurav
no flags Details

  None (edit)
Description tcp 2011-03-21 06:12:29 EDT
The gNFS server leaks memory under I/O. Particularly, the file operation sequence - (Open, Read, Close) of a large number of files results in the memory footprint of the gNFS process to grow quickly. The memory usage does not reduce even after successfully unmounting all the clients.

Find attached the following:

* valgrind report on Linux (courtesy Shishir)
* libumem report from Solaris
Comment 1 Shehjar Tikoo 2011-05-25 01:55:51 EDT
Assigning to Gaurav for further investigation.
Comment 2 Gaurav 2011-09-08 02:18:33 EDT
Created attachment 653
Comment 3 Gaurav 2011-09-08 02:20:46 EDT
Attaching the valgrind log for gNFS, i did file operation sequence (Open, Read, Close) of a large number of files (1000 files each of size 2k). Not seeing any memory leak.

Note You need to log in before you can comment on or make changes to this bug.